#include <iostream>
#include <bits/stdc++.h>  

using namespace std;

int main()
{
long long int a,b;
cin>>a>>b;
vector<vector<int>> A(a+2);
vector<int> megoldas;
for(int i=0;i<a;i++)
{
    int x,y;
    cin>>x>>y;
A[i].push_back(x);
A[i].push_back(y);
}
for(int i=0;i<b;i++)
{
    int x,y,z,vegeredmeny=0;
    cin>>x>>y>>z;
    x--;
    y--;
    for(int j=x;j<=y;j++)
    {
        if(A[j][0]<=z&&A[j][1]>=z)
        {
            vegeredmeny++;
        }
    }
    megoldas.push_back(vegeredmeny);
}
for(int i=0;i<megoldas.size();i++)
{
    cout<<megoldas[i]<<endl;
}
}